Skip to content

LoanAppWorkFlow⁠

Perform various operations for Symitar parameters.

Operations⁠

getLoanAppWorkFlow⁠

POST

Retrieve LoanAppWorkFlow parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppWorkFlowApplicationTypeintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLoanAppWorkFlow
POST /nexum/627/2022.01/parameter/getLoanAppWorkFlow HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanAppWorkFlowApplicationType": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppWorkFlowSelectFields⁠

POST

Retrieve LoanAppWorkFlow parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppWorkFlowApplicationTypeintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLoanAppWorkFlowSelectFields
POST /nexum/627/2022.01/parameter/getLoanAppWorkFlowSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "LoanAppWorkFlowApplicationType": 0,
  "SelectableFields": {
    "LoanAppWorkFlowFields": {
      "ApplicationType": true,
      "Event": [
        0
      ]
    }
  }
}

getLoanAppWorkFlowPagedList⁠

POST

Retrieve LoanAppWorkFlow parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getLoanAppWorkFlowPagedList
POST /nexum/627/2022.01/parameter/getLoanAppWorkFlowPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppWorkFlowListSelectFields⁠

POST

Retrieve LoanAppWorkFlow parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLoanAppWorkFlowListSelectFields
POST /nexum/627/2022.01/parameter/getLoanAppWorkFlowListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanAppWorkFlowFields": true
  }
}

searchLoanAppWorkFlowSelectFields⁠

POST

Search LoanAppWorkFlow parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchLoanAppWorkFlowSelectFields
POST /nexum/627/2022.01/parameter/searchLoanAppWorkFlowSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanAppWorkFlowFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppWorkFlowPagedListSelectFields⁠

POST

Retrieve LoanAppWorkFlow parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getLoanAppWorkFlowPagedListSelectFields
POST /nexum/627/2022.01/parameter/getLoanAppWorkFlowPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "LoanAppWorkFlowFields": {
      "ApplicationType": true,
      "Event": [
        0
      ]
    }
  }
}